export default ({
  registerIconLibrary
}) => {
  // Here is an example of how to load in SVG icons and have them
  // be used in the application anywhere you can select an icon!

  // 1. Give the icon library a unique name.
  const internalName = 'myIcons';

  // 2. And a friendly label
  const label = 'My Icons';

  // 3. Here we list out all the icons we want to appear.
  //    The 'svgUrl' is the path inside this folder to locate the SVG icon.
  //    Use the 'tags' list to identify keywords people can enter
  //    to locate this icon from the search.
  //    Tweak the 'svgInset' value if your icons have no padding around them
  //    and appear too large. Larger svgInset = smaller icons.
  const icons = {
    happy: {
      svgUrl: 'icons/iconmonstr-smiley-2.svg',
      label: 'Happy',
      tags: ['happy', 'face'],
      svgInset: 4
    },
    shock: {
      svgUrl: 'icons/iconmonstr-smiley-14.svg',
      label: 'Shock',
      tags: ['shock', 'face', 'omg', 'reaction'],
      svgInset: 4
    },
    bewildered: {
      svgUrl: 'icons/iconmonstr-smiley-15.svg',
      label: 'Bewildered',
      tags: ['bewildered', 'face', 'omg', 'what', 'reaction'],
      svgInset: 4
    },
    cry: {
      svgUrl: 'icons/iconmonstr-smiley-18.svg',
      label: 'Cry',
      tags: ['cry', 'face', 'sad', 'reaction'],
      svgInset: 4
    },
    cool: {
      svgUrl: 'icons/iconmonstr-smiley-20.svg',
      label: 'Cool',
      tags: ['cool', 'face', 'sunglasses'],
      svgInset: 4
    },
	lightning_cloud: {
      svgUrl: 'icons/blue_cloud.svg',
      label: 'Lightning Cloud',
      tags: ['shock', 'cloud', 'lightning'],
      svgInset: 4
    },
  };

  // Example icons come from:
  // https://iconmonstr.com

  // No need to change this part unless the module name has changed
  registerIconLibrary(internalName, {
    label,
    icons: Object.fromEntries(
      Object.entries(icons).map(([name, icon]) => [
        name,
        {
          ...icon,
          svgUrl: `./modules/myCustomSvgIcons/${icon.svgUrl}`
        }
      ])
    )
  });
};
